import { EnvironmentProvider } from '../EnvironmentProvider';
export declare class VercelEnvironmentProvider extends EnvironmentProvider {
    name: string;
    environments: string[];
    constructor(options: {
        installDir: string;
    });
    detect(): Promise<boolean>;
    hasDotVercelDir(): boolean;
    hasVercelCli(): boolean;
    isProjectLinked(): boolean;
    isAuthenticated(): boolean;
    uploadEnvironmentVariable(key: string, value: string, environment: string): Promise<void>;
    uploadEnvVars(vars: Record<string, string>): Promise<Record<string, boolean>>;
}
